DASDVIEW(8)

NAME
dasdview - Display DASD and VTOC information and dump the content of a DASD to the console.

SYNOPSIS
dasdview [-h] [-v]
         [-b begin] [-s size] [-1|-2]
         [-i] [-x] [-j] [-c]
         [-l] [-t {info|f1|f3|f4|f5|f7|f8|f9}]
         device

DESCRIPTION
dasdview prints you some useful information of your disks to the console. You can display a disk dump by specifying start point and offset and you can print the volume label and VTOC entries. The device is the node of the device (e.g. '/dev/dasda'). Any device node created by udev for kernel 2.6 can be used (e.g. '/dev/dasd/0.0.b100/disc'). DASD devices in raw_track_access mode are supported and detected automatically. When in raw_track_access mode, the same basic functions are available as in the regular mode, but the output may have a slightly different layout:

•   The disk dump functions (-b and -s) print the count, key and data information for the whole track, and not just the contents of the data areas.

•   The VTOC listing (-t) print all specified DSCBs in the same format as in the regular mode, but in the sequence as they appear in the VTOC. The -t info overview contains more details for each data set than in the regular mode, to support the larger variety of data set layouts.

OPTIONS

-h or --help
    Print usage and exit.

-v or --version
    Print version number and exit.

-b begin or --begin=begin
    Print a disk dump to the console, starting with begin. The content of the disk will be displayed in hexadecimal numbers, ASCII text and EBCDIC text. If no size is specified dasdview will take the default size. The variable begin can be specified in one of the following ways:
        begin[k|m|b|t|c]
    The default for begin is 0.
    Note 1: dasdview will show you the content of your disk using the DASD driver. If this driver decides to hide or add some parts of the disk, you have to live with it. This happens for example with the first two tracks of a cdl-formatted disk. In this case the DASD driver fills up shorter blocks with zeros to have a constant blocksize. And all applications, including dasdview, believe it.
    Note 2: In raw_track_access mode begin must be aligned to track boundaries. A simple way to do that is to specify a track or cylinder as starting point.
    examples:
        -b 32 --> start printing at Byte 32
        -b 32k --> start printing at kByte 32
        -b 32m --> start printing at MByte 32
        -b 32b --> start printing at block 32
        -b 32t --> start printing at track 32
        -b 32c --> start printing at cylinder 32

-s size or --size=size
    Print a disk dump to the console, starting with begin, specified with the -b option and size size. The content of the disk will be displayed in hexadecimal numbers, ASCII text and EBCDIC text. If no start value is specified dasdview will take the default start value. The variable size can be specified in one of the following ways:
        size[k|m|b|t|c]
    Note: In raw_track_access mode size must be a multiple of one track. A simple way to do that is to specify the size in tracks or cylinders.
    The default for size is 128 in regular mode and 1t in raw_track_access mode.
    examples:
        -s 16 --> use a 16 Byte size
        -s 16k --> use a 16 kByte size
        -s 16m --> use a 16 MByte size
        -s 16b --> use a 16 block size
        -s 16t --> use a 16 track size
        -s 16c --> use a 16 cylinder size

-1  This option tells dasdview to print the disk dump using format 1. This means you will get 16 Bytes per line in hex, ascii and ebcdic. There is no line number.
    The -1 option makes only sense with the -b and/or the -s options.
    This is the default.

-2  This option tells dasdview to print the disk dump using format 2. This means you will get 8 Bytes per line in hex, ascii and ebcdic. And in addition a line number and a decimal and hexadecimal byte count will be printed.
    The -2 option makes only sense with the -b and/or the -s options. In raw_track_access mode this format is not supported and the option will be ignored.

-i or --info
    Print some useful information (e.g. device node/number/type or geometry data). When running dasdview on a kernel 2.6 based distribution the busid is printed instead of the device number.

-x or --extended
    Print some more DASD information (e.g. open count, subchannel identifier).

-j or --volser
    Print volume serial number (volume identifier).

-l or --label
    Print the volume label.

-c or --characteristic
    Print some information about the device e.g. if it is encrypted.

-t spec or --vtoc=spec
    Print the VTOC (table of content) or single VTOC entries to the console. spec can be one of the following strings:
    info:
    Gives you a VTOC overview. You will see what other S/390 or zSeries operating systems would see (e.g. data set names and sizes).
    f1:
    Print the content of all format 1 DSCBs.
    f3:
    Print the content of all format 3 DSCBs.
    f4:
    Print the content of the format 4 DSCB.
    f5:
    Print the content of the format 5 DSCB.
    f7:
    Print the content of the format 7 DSCB.
    f8:
    Print the content of all format 8 DSCBs.
    f9:
    Print the content of all format 9 DSCBs.
    all:
    Print the content of all DSCBs.